package com.bankaudit.rest.process.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.AuditSchedule;
import com.bankaudit.process.model.AuditTeam;
import com.bankaudit.process.model.AuditTeamWrk;

public interface AuditTeamService {

	void createAuditTeamWrk(AuditTeamWrk auditTeamWrk);
	
	DataTableResponse getAuditsList(int legalEntityCode, String userId, String search, Integer orderColumn,
			String orderDirection, Integer page, Integer size );
	
	AuditSchedule getAuditByPlanIdAndAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId); 
	
	List<AuditTeam> getAuditTeamsByAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId);
	
	void updateAuditTeams(AuditSchedule auditSchedule);
	
	void deleteAuditTeamByIdAndType(Integer legalEntityCode, String auditId, String auditTypeCode, String statusUnauth);
	
	List<AuditTeam> getAuditTeamsByAuditIdAndType(int legalEntityCode,String auditTypeCode, String auditId);
	
	AuditTeam getAuditTeamLeadByAuditIdAndType(int legalEntityCode,String auditTypeCode, String auditId); 

}
